name: tanami_app
description: "A new Flutter project."

publish_to: "none"

version: 1.0.0+1

environment:
  sdk: ">=3.3.4 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  # Icons
  cupertino_icons: ^1.0.6

  # Image and SVG Handling
  cached_network_image: ^3.3.1
  flutter_svg: ^2.0.10+1

  # Network
  dio: ^5.4.3+1
  connectivity_plus: ^6.0.3

  # State Management
  bloc: ^8.1.4
  flutter_bloc: ^8.1.5
  equatable: ^2.0.5

  # Permissions
  permission_handler: ^11.3.1

  # Device Related
  device_info_plus: ^10.1.0
  intl: ^0.19.0
  path: ^1.9.0
  upgrader: ^10.3.0
  google_fonts: ^6.2.1

  # Async
  async: ^2.11.0

  # Firebase
  firebase_core: ^2.31.1

  # Animation
  lottie: ^3.1.2
  shimmer: ^3.0.0
  smooth_page_indicator: ^1.1.0

  # Device Responsiveness
  gap: ^3.0.1
  auto_size_text: ^3.0.0
  flutter_screenutil: ^5.9.1

  # Security
  shared_preferences: ^2.2.3
  flutter_secure_storage: ^9.2.2
  local_auth: ^2.2.0
  crypto: ^3.0.3
  flutter_jailbreak_detection: ^1.10.0
  secure_application: ^4.0.1

  # Toast Messages
  toastification: ^2.0.0

  #Routes
  go_router: ^14.1.3

  # Json Annotation
  json_annotation: ^4.9.0

  #Style
  control_style: ^0.1.0
  dotted_line: ^3.2.2

  #OTP Autofill
  sms_autofill: ^2.3.1
  carousel_slider: ^4.2.1

  #Url Launcher
  url_launcher: ^6.3.0

  #Expansion Tile
  expansion_tile_group: ^1.2.4

  #Ticket
  ticket_widget: ^1.0.2

  # #Device Preview
  # device_preview:

  # Video Player
  chewie: ^1.5.0
  video_player: ^2.5.2

  #Performance
  statsfl: ^2.3.0

  #Localization
  flutter_localization: ^0.2.0

  #Pdf
  syncfusion_flutter_pdfviewer:

dev_dependencies:
  flutter_test:
    sdk: flutter
  json_serializable:
  build_runner:

  flutter_lints: ^3.0.0
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/Vector.png"
  min_sdk_android: 21

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/images/welcome_screen/
    - assets/images/welcome_screen/svg/
    - assets/images/welcome_screen/png/
    - assets/images/auth_screen/
    - assets/images/auth_screen/svg/
    - assets/images/auth_screen/png/
    - assets/images/country_flag/
    - assets/images/country_flag/png/
    - assets/images/bottom_bar/active/
    - assets/images/bottom_bar/inactive/
    - assets/images/portfolio_screen/
    - assets/images/academy_screen/
    - assets/images/wallet_screen/
    - assets/images/biometric_screen/
    - assets/images/biometric_screen/png/
    - assets/images/biometric_screen/svg/
    - assets/images/dialog/
    - assets/images/dialog/svg/
    - assets/images/contact_admin_screen/
    - assets/images/contact_admin_screen/svg/
    - assets/images/settings_screen/
    - assets/images/settings_screen/svg/
    - assets/images/language_screen/
    - assets/images/language_screen/png/
    - assets/images/invest_screen/
    - assets/images/invest_screen/svg/
    - assets/images/no_internet/
    - assets/images/no_internet/png/
    - assets/language/en.json
    - assets/language/ar.json
